Registrarse
Home
Foros
Miembros
Calendario
Normas
Ayuda

Foros de usuarios de openSUSE
Retroceder   ForoSUSE > Zona OpenSUSE > Hardware


Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook

Respuesta
 
Herramientas Desplegado

X-Fi Xtreme Audio sin sonido
  #1  
Antiguo 16-feb-2010, 14:41
Avatar de sruedat
sruedat sruedat está desconectado
Miembro Junior
 
Fecha de Ingreso: 13-noviembre-2009
Versión: 12.1 (x86_64)
Mensajes: 467
Agradecimientos: 40
Agradecido 30 Veces en 30 Mensajes
Poder de Credibilidad: 9
sruedat está en el buen camino
X-Fi Xtreme Audio sin sonido

Hola no puedo hacer funcionar el sonido en mi opensuse 11.1, tengo una tarjeta SB x-Fi Xtreme audio de Creative. (equipo DELL Studio XPS 8100)

En el yast-->Hardware-->Sonido aparece una tarjeta
Ibex Peak High Definition Audio

Si le doy al listado hardware de sonido:
Cita:
17: PCI 1b.0: 0403 Audio device
[Created at pci.318]
UDI: /org/freedesktop/Hal/devices/pci_8086_3b56
Unique ID: u1Nb.IDRHYQjhmYD
SysFS ID: /devices/pci0000:00/0000:00:1b.0
SysFS BusID: 0000:00:1b.0
Hardware Class: sound
Model: "Intel Ibex Peak High Definition Audio"
Vendor: pci 0x8086 "Intel Corporation"
Device: pci 0x3b56 "Ibex Peak High Definition Audio"
SubVendor: pci 0x1028 "Dell"
SubDevice: pci 0x0300
Revision: 0x05
Driver: "HDA Intel"
Driver Modules: "snd_hda_intel"
Memory Range: 0xf7ff8000-0xf7ffbfff (rw,non-prefetchable)
IRQ: 22 (3364 events)
Module Alias: "pci:v00008086d00003B56sv00001028sd00000300bc04sc0 3i00"
Driver Info #0:
Driver Status: snd_hda_intel is active
Driver Activation Cmd: "modprobe snd_hda_intel"
Config Status: cfg=no, avail=yes, need=no, active=unknown

32: PCI 500.0: 0403 Audio device
[Created at pci.318]
UDI: /org/freedesktop/Hal/devices/pci_1102_9
Unique ID: Ddhb.YhraNp3EzIA
Parent ID: YmUS.Ty6MHw35u4D
SysFS ID: /devices/pci0000:00/0000:00:1c.4/0000:04:00.0/0000:05:00.0
SysFS BusID: 0000:05:00.0
Hardware Class: sound
Model: "Creative [SB X-Fi Xtreme Audio] CA0110-IBG"
Vendor: pci 0x1102 "Creative Labs"
Device: pci 0x0009 "[SB X-Fi Xtreme Audio] CA0110-IBG"
SubVendor: pci 0x1102 "Creative Labs"
SubDevice: pci 0x0018
Driver: "HDA Intel"
Driver Modules: "snd_hda_intel"
Memory Range: 0xfbefc000-0xfbefffff (rw,non-prefetchable)
IRQ: 16 (275354 events)
Module Alias: "pci:v00001102d00000009sv00001102sd00000018bc04sc0 3i00"
Driver Info #0:
Driver Status: snd_hda_intel is active
Driver Activation Cmd: "modprobe snd_hda_intel"
Config Status: cfg=no, avail=yes, need=no, active=unknown
Attached to: #31 (PCI bridge)
He seguido todos los manuales:
http://en.opensuse.org/SDB:AudioTroubleshooting

Me he vuelto loco de mirar por la red....

Esto para alsa:
Cita:
linux-mio:/home/mio # rpm -qa | grep alsa
alsa-tools-1.0.18-1.16
alsa-oss-32bit-1.0.17-1.37
alsa-devel-1.0.18-8.12.1
alsa-oss-1.0.17-1.43
alsa-firmware-1.0.17-1.42
alsa-utils-1.0.18-6.4
alsa-1.0.18-8.12.1
alsa-plugins-1.0.18-6.13
alsa-plugins-32bit-1.0.18-6.12
alsa-driver-kmp-default-1.0.22.1.20100216_2.6.27.42_0.1-1.1
linux-miol:/home/mio # rpm -qa | grep pulse
libpulse-mainloop-glib0-0.9.14-2.2.1
libpulse-browse0-0.9.14-2.2.1
libpulse0-0.9.14-2.2.1
libpulse0-32bit-0.9.14-2.2.1
libxine1-pulse-1.1.17-1.pm.25.1
linux-mio:/home/mio # rpm -q libasound2
libasound2-1.0.18-8.12.1
¿Qué puede estar mal?

Gracias.
__________________
No es lo mismo lo justo que lo necesario.
Si te meten un dedo por el culo te va justo pero no era necesario.
Responder Citando
  #2  
Antiguo 16-feb-2010, 14:46
Avatar de DiabloRojo
DiabloRojo DiabloRojo está desconectado
Super Moderador
 
Fecha de Ingreso: 19-marzo-2005
Ubicación: En un lugar del planeta Tierra
Versión: La ultima estable
Mensajes: 16.591
Agradecimientos: 570
Agradecido 2.476 Veces en 1.674 Mensajes
Poder de Credibilidad: 10
DiabloRojo llegará a ser famoso muy pronto
Aquí tienes la traducción: http://www.forosuse.org/forosuse/showthread.php?t=18535

Pulse es para Gnome si usas KDE 4 hay que desinstalar casi todo menos libpulse... e instalar phonon
__________________
NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
Síguenos en TWITTER y en FACEBOOK
Código:
Buscador de   Alojamiento      Alojamiento     Otros
 paquetes:    de imágenes:     de ficheros:    buscadores:
Search        TinyPic          Ifile Wuala     Simple y Facil
Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

Última edición por DiabloRojo; 16-feb-2010 a las 14:50
Responder Citando
  #3  
Antiguo 16-feb-2010, 15:25
Avatar de sruedat
sruedat sruedat está desconectado
Miembro Junior
 
Fecha de Ingreso: 13-noviembre-2009
Versión: 12.1 (x86_64)
Mensajes: 467
Agradecimientos: 40
Agradecido 30 Veces en 30 Mensajes
Poder de Credibilidad: 9
sruedat está en el buen camino
Gracias por la respuesta... ya había leido el manual... aunque no he leido en ningún sitio que esto es para Gnome... no se si puedo seguir tus consejos porque:

1º) phonon ya está instalado.

2º) desintalar casi todo? ..... a que te refieres?


Gracias.
__________________
No es lo mismo lo justo que lo necesario.
Si te meten un dedo por el culo te va justo pero no era necesario.

Última edición por sruedat; 16-feb-2010 a las 17:37
Responder Citando
  #4  
Antiguo 16-feb-2010, 16:02
Avatar de mad_soft
mad_soft mad_soft está desconectado
Habitual
 
Fecha de Ingreso: 17-octubre-2005
Ubicación: Valencia
Versión: 42.3
Mensajes: 182
Agradecimientos: 4
Agradecido 37 Veces en 27 Mensajes
Poder de Credibilidad: 13
mad_soft está en el buen camino
Enviar un mensaje por ICQ a mad_soft
Sino recuerdo mal esa tarjeta y otras de las XFI estan soportadas a partir de 1.0.21.
Mira en la pagina de alsa. De todas formas te pongo el changelog de alsa 1.0.21
Código:
ALSA: hda - Add Creative CA0110-IBG support
__________________
http://webs.ono.com/mad_soft/images/linux-reg.jpg
SuSE 42.3
Responder Citando
  #5  
Antiguo 16-feb-2010, 19:04
Avatar de sruedat
sruedat sruedat está desconectado
Miembro Junior
 
Fecha de Ingreso: 13-noviembre-2009
Versión: 12.1 (x86_64)
Mensajes: 467
Agradecimientos: 40
Agradecido 30 Veces en 30 Mensajes
Poder de Credibilidad: 9
sruedat está en el buen camino
Hola de nuevo,
El poblema está en que opensuse 11.1 no me tiene los drivers de esta tarjeta. ?

Veréis la placa base tiene otra tarjeta incorporada, pues bien deesconecto la X-fi xtreme audio... y el sonido funciona (logicamente con lo que lleva la placa base)

Pero la que no suena es la de creative....ya que ni siquiera aparece en el yast.

Un saludo.

Por cierto si me bajo los drivers y los complilo:

make install:
Cita:
FATAL: Error inserting ctxfi (/lib/modules/2.6.27.42-0.1-default/extra/ctxfi.ko): Unknown symbol in module, or unknown parameter (see dmesg)
dmesg | tail
Cita:
ctxfi: disagrees about version of symbol snd_ctl_notify
ctxfi: Unknown symbol snd_ctl_notify
ctxfi: disagrees about version of symbol snd_pcm_set_ops
ctxfi: Unknown symbol snd_pcm_set_ops
ctxfi: disagrees about version of symbol snd_device_new
ctxfi: Unknown symbol snd_device_new
ctxfi: disagrees about version of symbol snd_pcm_hw_constraint_integer
ctxfi: Unknown symbol snd_pcm_hw_constraint_integer
ctxfi: disagrees about version of symbol snd_pcm_period_elapsed
ctxfi: Unknown symbol snd_pcm_period_elapsed
Gracias
__________________
No es lo mismo lo justo que lo necesario.
Si te meten un dedo por el culo te va justo pero no era necesario.

Última edición por sruedat; 16-feb-2010 a las 19:07
Responder Citando
  #6  
Antiguo 16-feb-2010, 19:40
Avatar de DiabloRojo
DiabloRojo DiabloRojo está desconectado
Super Moderador
 
Fecha de Ingreso: 19-marzo-2005
Ubicación: En un lugar del planeta Tierra
Versión: La ultima estable
Mensajes: 16.591
Agradecimientos: 570
Agradecido 2.476 Veces en 1.674 Mensajes
Poder de Credibilidad: 10
DiabloRojo llegará a ser famoso muy pronto
Cita:
Iniciado por sruedat Ver Mensaje
...
2º) desintalar casi todo? ..... a que te refieres?


Gracias.
Me refiero a esto:
rpm -qa | grep pulse
libpulse-mainloop-glib0-0.9.14-2.2.1
libpulse-browse0-0.9.14-2.2.1
libpulse0-0.9.14-2.2.1
libpulse0-32bit-0.9.14-2.2.1
libxine1-pulse-1.1.17-1.pm.25.1

Pero como tu dices que sabes de que va el tema, otra cosa que version de alsa tienes ya que lo pregunta nuestro amigo mad_soft

En el forum oficial de openSUSE se habla de esa tarjeta: http://forums.opensuse.org/install-b...on-issues.html
http://forums.opensuse.org/hardware/...tallation.html
__________________
NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
Síguenos en TWITTER y en FACEBOOK
Código:
Buscador de   Alojamiento      Alojamiento     Otros
 paquetes:    de imágenes:     de ficheros:    buscadores:
Search        TinyPic          Ifile Wuala     Simple y Facil
Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p
Responder Citando
  #7  
Antiguo 16-feb-2010, 20:11
Avatar de sruedat
sruedat sruedat está desconectado
Miembro Junior
 
Fecha de Ingreso: 13-noviembre-2009
Versión: 12.1 (x86_64)
Mensajes: 467
Agradecimientos: 40
Agradecido 30 Veces en 30 Mensajes
Poder de Credibilidad: 9
sruedat está en el buen camino
Cita:
Pero como tu dices que sabes de que va el tema...
No, te equivocas... yo no sé de casi nada.

Y también te diré que no estoy en guerra con el mundo... entiendo que soy un recién llegado y encima no tengo ni idea de nada... pero soy muy viejo para ciertas cosas.

pd versión de alsa:
Cita:
alsa-1.0.18-8.12.1
alsa-devel-1.0.18-8.12.1
alsa-tools-1.0.18-1.16
alsa-driver-kmp-default-1.0.22.1.20100217_2.6.27.42_0.1-1.1
alsa-tools-gui-1.0.18-1.16
alsa-plugins-32bit-1.0.18-6.12
kalsatools-1.5.0-499.110
alsa-firmware-1.0.17-1.42
alsa-oss-1.0.17-1.43
alsa-utils-1.0.18-6.4
alsa-oss-32bit-1.0.17-1.37
alsaplayer-0.99.80-1.pm.13.27
alsa-plugins-1.0.18-6.13
(he hecho el update ALSA-update http://en.opensuse.org/Alsa-update)

Gracias por vuestro tiempo.
__________________
No es lo mismo lo justo que lo necesario.
Si te meten un dedo por el culo te va justo pero no era necesario.

Última edición por sruedat; 17-feb-2010 a las 10:57
Responder Citando
Respuesta

Marcadores


(0 miembros y 1 visitantes)
 
Herramientas
Desplegado

Normas de Publicación
No puedes crear nuevos temas
No puedes responder mensajes
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los Códigos BB están Activado
Las Caritas están Activado
[IMG] está Activado
El Código HTML está Desactivado

Ir al Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
Traducción Tutorial Sonido en openSuse 11.0 tranzorx Hardware 7 02-mar-2012 06:59
Traducción de SDB:AudioTroubleshooting de openSUSE tranzorx Hardware 6 09-mar-2011 21:10
Sonido se me desconfigura. Tarjeta integrada Azalia. tranzorx General OpenSUSE 12 25-sep-2008 20:27
¿Drivers para Tarjeta de Audio X-Fi Xtreme Music de SoundBlaster? dac317 Hardware 0 19-sep-2008 20:18
problemas con el audio tarjeta de sonido integrada realtek ALC662 rev1 ifor_is_my_live Hardware 4 10-feb-2008 18:08



Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook


La franja horaria es GMT +2. Ahora son las 15:12.
Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.

Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!

Diseño por:Designed by: vbdesigns.devbdesigns.de 
Contáctenos - ForoSUSE - Archivo - Declaración de Privacidad - Arriba